<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<h2 mat-dialog-title>
  {{'parameters.election-page-properties.edit.mapping.bulk-update.select-ballot' | translate }}
</h2>
<mat-dialog-content>

  <div class="filter">
    <mat-form-field>
      <input matInput (keyup)="search($event.target.value)"
             placeholder="{{'parameters.election-page-properties.edit.mapping.bulk-update.filter' | translate}}"
             id="search-input">
    </mat-form-field>
  </div>

  <mat-table #table [dataSource]="dataSource">

    <ng-container matColumnDef="select">
      <mat-header-cell *matHeaderCellDef>
        <mat-checkbox (change)="$event ? masterToggle() : null"
                      [checked]="selection.hasValue() && isAllSelected()"
                      [indeterminate]="selection.hasValue() && !isAllSelected()">
        </mat-checkbox>
      </mat-header-cell>
      <mat-cell *matCellDef="let row">
        <mat-checkbox
          [id]="'cb#' + row.ballot"
          (click)="$event.stopPropagation()"
          (change)="$event ? selection.toggle(row) : null"
          [checked]="selection.isSelected(row)">
        </mat-checkbox>
      </mat-cell>
    </ng-container>

    <!-- Name Column -->
    <ng-container matColumnDef="ballot">
      <mat-header-cell *matHeaderCellDef>
        {{"parameters.election-page-properties.edit.mapping.bulk-update.table.header.ballot" | translate}}
      </mat-header-cell>
      <mat-cell *matCellDef="let element" class="ballot-name"> {{element.ballot}}</mat-cell>
    </ng-container>

    <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
    <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>

  </mat-table>

</mat-dialog-content>

<h2 mat-dialog-title>
  {{'parameters.election-page-properties.edit.mapping.bulk-update.select-model' | translate }}
</h2>

<mat-form-field>
  <mat-select placeholder="{{'parameters.election-page-properties.edit.mapping.model-name' | translate  }}"
              id="model-select"
              (selectionChange)="selectedModelId = $event.value">
    <mat-option *ngFor="let model of data.possibleModels" [value]="model.id">
      {{ model.modelName }}
    </mat-option>
  </mat-select>
</mat-form-field>


<mat-dialog-actions fxLayout="row" fxLayoutAlign="end">


  <button mat-button [mat-dialog-close]="[]" id="cancel">
    {{"global.actions.cancel" | translate | uppercase}}
  </button>
  <button mat-raised-button color="primary" (click)="validate()"
          [disabled]="!selection.hasValue() || !selectedModelId"
          id="accept">
    {{"parameters.election-page-properties.edit.mapping.bulk-update.validate" | translate | uppercase}}
  </button>
</mat-dialog-actions>
